%define upstream_name    App-SerializeUtils
%define upstream_version 0.165

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Utilities for serialization tasks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires: perl(Data::Dmp) >= 0.210.0
BuildRequires: perl(Data::Dmp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(PHP::Serialization)

#BuildRequires: perl(Getopt::Long::Complete)

#Optional dep:
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Bahe\\)$

BuildArch:  noarch

%description
This distributions provides the following command-line utilities related to
serialization:

* * the check-json manpage

* * the check-phpser manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/*
/usr/share/man/man1/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.165.0-2.mga10
+ Revision: 2214530
- Mageia 10 Mass Rebuild

* Fri Apr 15 2022 tv <tv> 0.165.0-1.mga9
+ Revision: 1850205
- Restore BRs removed by magpie
- update to 0.165

* Mon Mar 21 2022 tv <tv> 0.164.0-2.mga9
+ Revision: 1813953
- Restore BRs lost by 'magpie update'
- update to 0.164
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Aug 29 2020 tv <tv> 0.163.0-2.mga8
+ Revision: 1619535
- fix deps by excluding an optional dep on Data::Bahe

* Sat Jun 13 2020 tv <tv> 0.163.0-1.mga8
+ Revision: 1593193
- BR perl(Data::Dump)
- restore BR on perl(Data::Dmp)
- update to 0.163

* Sun Apr 12 2020 tv <tv> 0.162.0-1.mga8
+ Revision: 1566836
- update to 0.162

* Fri Feb 14 2020 umeabot <umeabot> 0.161.0-2.mga8
+ Revision: 1520598
- Mageia 8 Mass Rebuild

* Mon Dec 03 2018 tv <tv> 0.161.0-1.mga7
+ Revision: 1337832
- update to 0.161

* Thu Oct 18 2018 shlomif <shlomif> 0.160.0-1.mga7
+ Revision: 1322018
- imported package perl-App-SerializeUtils


* Thu Oct 18 2018 cpan2dist 0.160-1mga
- initial mageia release, generated with cpan2dist
